Bug 376321 - Review Request: perl-Net-Packet-Target - An object for all network related stuff
Review Request: perl-Net-Packet-Target - An object for all network related stuff
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks: perl-Net-SinFP
  Show dependency treegraph
 
Reported: 2007-11-11 14:01 EST by Sindre Pedersen Bjørdal
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-12 19:19:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Sindre Pedersen Bjørdal 2007-11-11 14:01:41 EST
Spec URL: http://sindrepb.fedorapeople.org/packages/perl-Net-SinFP/perl-Net-Packet-Target.spec
SRPM URL: http://sindrepb.fedorapeople.org/packages/perl-Net-SinFP/perl-Net-Packet-Target-1.01-1.fc8.src.rpm

Description:

perl-Net-Packet-Target is an object for all network related stuff
Comment 1 Parag AN(पराग) 2007-11-12 05:23:27 EST
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
7165c14c0cd02ec082c27b05a9ba5874  Net-Packet-Target-1.01.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test outputs
t/01-pod-coverage....ok
t/01-test-pod........ok
t/01-use.............ok
All tests successful.
Files=3, Tests=3,  0 wallclock secs ( 0.30 cusr +  0.05 csys =  0.35 CPU)
+ Package perl-Net-Packet-Target-1.01-1.fc8 ->
  Provides: perl(Net::Packet::Target) = 1.01
  Requires: perl(:MODULE_COMPAT_5.8.8) perl(Class::Gomor::Array) perl(strict)
perl(warnings)

APPROVED.
Comment 2 Sindre Pedersen Bjørdal 2007-11-12 15:26:06 EST
New Package CVS Request
=======================
Package Name: perl-Net-Packet-Target
Short Description: An object for all network related stuff
Owners: sindrepb
Branches: F-7, F-8 
InitialCC: 
Cvsextras Commits: yes
Comment 3 Kevin Fenzi 2007-11-12 16:47:51 EST
cvs done.

Note You need to log in before you can comment on or make changes to this bug.